Conditional formatting in Attribute Table error after filter results changed by value edits

2018-11-17 06:32 PM - Kory Roberts

Status: Feedback

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:3.5(master) Regression?: No

Operating System: Linux Mint 19 Cinnamon Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28352

Description

Create a filter of records.

Apply conditional formatting.

Edit some records affected by filter (e.g. change values so that some additional records will be filtered out).

Save changes.

Now, conditional formatting is misaligned on some wrong records.

It is corrected after resetting conditional formatting, but this should not be necessary.

History

#1 - 2018-11-17 06:44 PM - Giovanni Manghi

- Status changed from Open to Feedback

works as expected on 2.18?

#2 - 2019-03-09 05:12 PM - Giovanni Manghi

Cannot replicate on 3.6, if you do please add a sample project with data (and steps to follow).
